Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.pluginmgr
Class MirrorList

    java.lang.Object
      org.gjt.sp.jedit.pluginmgr.MirrorList

    public class MirrorList

extends java.lang.Object

Nested Class Summary
`static class` | `MirrorList.Mirror`

Field Summary
`java.util.List<MirrorList.Mirror>` | `mirrors`
`java.lang.String` | `xml` The xml mirror list.

Constructor Summary
`MirrorList(boolean download, ProgressObserver observer)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mirrors

    public java.util.List<MirrorList.Mirror> mirrors

### xml

    public java.lang.String xml

  The xml mirror list.

Constructor Detail

### MirrorList

    public MirrorList(boolean download,
                      ProgressObserver observer)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD